Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::TimeRange Class Reference

Inherits Object.

## Public Member Functions
| TimeRange ()
| Constructor.
| TimeRange (const DateTime &start_time, const DateTime &end_time)
| Constructor, with parameters. More...
| TimeRange (const TimeRange &other)
| Constructor, with another time range object. More...
| ~TimeRange ()
| Destructor.
bool | operator!= (const TimeRange &other) const
| Not equal operator. More...
TimeRange & | operator= (const TimeRange &other)
| Assign operator. More...
bool | operator== (const TimeRange &other) const
| Equal operator. More...
void | Set (const DateTime &start_time, const DateTime &end_time)
| Set value. More...

## Public Attributes
DateTime | end_time
| End time of current time range.
DateTime | start_time
| Start time of current time range.

## Detailed Description

This class represents a time range, including start time and end time.

## Constructor & Destructor Documentation

## ◆ TimeRange() [1/2]

foxit::pdf::TimeRange::TimeRange | ( | const DateTime & | start_time,
|  | const DateTime & | end_time
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | start_time | Start time of current time range.
  [in] | end_time | End time of current time range.

## ◆ TimeRange() [2/2]

foxit::pdf::TimeRange::TimeRange | ( | const TimeRange & | other | ) |
| inline

Constructor, with another time range object.

Parameters

  [in] | other | Another time range object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::TimeRange::operator!= | ( | const TimeRange & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another time range object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TimeRange& foxit::pdf::TimeRange::operator= | ( | const TimeRange & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another time range object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::TimeRange::operator== | ( | const TimeRange & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another time range object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::TimeRange::Set | ( | const DateTime & | start_time,
|  | const DateTime & | end_time
| ) |  |
| inline

Set value.

Parameters

  [in] | start_time | Start time of current time range.
  [in] | end_time | End time of current time range.

Returns
  None.